package com.heyu.api.data.entity.user;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*意见反馈记录
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("user_suggestion_record")
public class UserSuggestionRecordEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.user.UserSuggestionRecordEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // 
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String user_id = CLASS_NAME + "user_id";                    // 用户id
    public final static String suggestion_ = CLASS_NAME + "suggestion";             // 反馈内容
    public final static String system_user_id = CLASS_NAME + "system_user_id";      // 处理人id
    public final static String resolution_ = CLASS_NAME + "resolution";             // 处理意见
    public final static String suggestion_type = CLASS_NAME + "suggestion_type";    // 意见类型：0：设备问题 1 技能服务 2 app问题
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //用户id
    private Long userId;
    //反馈内容
    private String suggestion;
    //处理人id
    private Long systemUserId;
    //处理意见
    private String resolution;
    //意见类型：0：设备问题 1 技能服务 2 app问题
    private Integer suggestionType;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 用户id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 反馈内容 
     * @return
     */
    public String getSuggestion() {
        return suggestion;
    }
    /**
     * 反馈内容 
     * @param suggestion
     */
    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    /**
     * 处理人id 
     * @return
     */
    public Long getSystemUserId() {
        return systemUserId;
    }
    /**
     * 处理人id 
     * @param systemUserId
     */
    public void setSystemUserId(Long systemUserId) {
        this.systemUserId = systemUserId;
    }

    /**
     * 处理意见 
     * @return
     */
    public String getResolution() {
        return resolution;
    }
    /**
     * 处理意见 
     * @param resolution
     */
    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    /**
     * 意见类型：0：设备问题 1 技能服务 2 app问题 
     * @return
     */
    public Integer getSuggestionType() {
        return suggestionType;
    }
    /**
     * 意见类型：0：设备问题 1 技能服务 2 app问题 
     * @param suggestionType
     */
    public void setSuggestionType(Integer suggestionType) {
        this.suggestionType = suggestionType;
    }

    @Override
    public String toString() {
        return "UserSuggestionRecordEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",userId=" + userId +
                ",suggestion=" + suggestion +
                ",systemUserId=" + systemUserId +
                ",resolution=" + resolution +
                ",suggestionType=" + suggestionType +
                "}";
    }
}